Loading...

Knowledge Center


ePO / McAfee Agent Feature Dependencies
Technical Articles ID:  KB71298
Last Modified:  11/12/2013
Rated:


Environment

McAfee Agent (MA) 4.5, 4.6, 4.8
McAfee ePolicy Orchestrator (ePO) 5.0, 4.6, 4.5

 

Summary

Particular features available in ePO (ePO) 4.x / 5.x or MA 4.x clients can share product dependencies to allow complete feature functionality. In some cases, there could be a client or server dependency that might not be obvious or expected. 

The following table highlights the features that are dependent on specific ePO, MA Extension, or MA Client versions to complete the functionality:

Feature Minimum required ePO version Minimum required MA Extension version Minimum required MA Installed Client version Notes
Product Improvement Program (formerly known as Telemetry) 5.0 4.8 4.8  
Policy and Client Task comparison 5.0 Not extension dependent Not client version dependent  
McAfee Agent URL deployment 5.0 4.8 4.8  
VDI support 5.0 4.8 4.8  
User Based Policies on Macintosh systems 4.5 Patch 3 4.5 4.8  
Relay server on Windows, Linux and other non-Windows platforms 4.5 Patch 3 4.8 4.8  
SuperAgent hierarchical updating 4.5 Patch 3 4.5 4.8  
Bandwidth savings statistics 4.5 Patch 3 4.8 4.8  
Run Client Task Now 4.6 4.6 4.6 (Windows only)  
Client Task Catalog 4.6 Not extension dependent Not client version dependent  
FIPS mode 4.6.1 4.6 4.6  
Agent Push to Linux and Mac systems 4.6 4.6 4.6  
MA Endpoint language selection Not ePO server version dependent 4.6 4.6  
Running Agent processes at lower priorities (Yield CPU) Not ePO server version dependent 4.6 4.6 (Windows only)  
SuperAgent Lazy caching 4.5* 4.6 4.6  
Non-Windows Command Agent tool Not ePO server version dependent Not extension dependent 4.6  
TLS (SSL) support for agent-server communication 4.5 4.5 4.5  
Support for multiple Agent Handlers 4.5 4.5 4.5 Only one spipe entry with older versions
User-based policies 4.5 4.5 4.5 (Windows only)  
Move agents between servers 4.5 4.5 4.5 No fallback with older versions
IPv6 4.5 4.5 4.5  
Generate new GUID "on demand" 4.5 4.5 4.5  


* The McAfee Agent 4.6 extension must be checked into ePO 4.5 in order to enable the Lazy caching feature.

Rate this document

Did this article resolve your issue?

Please provide any comments below

Glossary of Technical Terms


Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.
United States - English
© 2003-2013 McAfee, Inc.